Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Leader_Follower.h File Reference

`#include "ace/os_include/os_errno.h"`
`#include "tao/New_Leader_Generator.h"`
`#include "tao/LF_Follower.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "ace/Intrusive_List.h"`
`#include "ace/Intrusive_List_Node.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "tao/Leader_Follower.i"`

Include dependency graph for Leader_Follower.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Leader_Follower
| TAO_Leader_Follower. More...
class | TAO_LF_Client_Thread_Helper
class | TAO_LF_Client_Leader_Thread_Helper

## Detailed Description

Id
  Leader_Follower.h,v 1.33 2005/11/24 11:05:45 ossama Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu)